Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class XMLContent

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.qtcomponents.XMLContent

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class XMLContent
extends QTObject
implements quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib

The XMLContent implements java wrapper of pointer to QuickTime XMLContent

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`XMLElement` | `getElement()` get element kind content
`int` | `getKind()` get type of content
`java.lang.String` | `getString()` get string kind content

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getKind

    public int getKind()
                throws StdQTException

  get type of content
  Returns:
    StdQTConstants5.xmlContentTypeInvalid, StdQTConstants5.xmlContentTypeElement or StdQTConstants5.xmlContentTypeCharData

### getElement

    public XMLElement getElement()
                          throws QTException

  get element kind content
  Returns:
    XMLElement if element kind is StdQTConstants5.xmlContentTypeElement
  Throws:
    `on` - element kind not StdQTConstants5.xmlContentTypeElement

### getString

    public java.lang.String getString()
                               throws StdQTException,
                                      UtilException

  get string kind content
  Returns:
    String if element kind is StdQTConstants5.xmlContentTypeCharData
  Throws:
    `on` - element kind not StdQTConstants5.xmlContentTypeCharData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD